<template>
  <div class="container">
    <h1>Categories</h1>
    <div>
      <div class="float-right text-pad-right text-end">
        <router-link :to="{ name: 'categoryAdd' }" class="btn btn-outline-dark"
          >ajouter une catégorie</router-link
        ><br />
      </div>
      <table class="table table-striped table-hover mb-5">
        <thead>
          <tr>
            <th scope="col">Nom</th>
            <th scope="col">Services</th>
            <th scope="col">#</th>
            <th scope="col">#</th>
          </tr>
        </thead>
        <tbody>
          <category-item
            v-for="category in filteredCategories"
            :key="category.id"
            :id="category.id"
            :name="category.name"
          ></category-item>
        </tbody>
      </table>
    </div>
  </div>
</template>

<script>
import API from "../../api";
import axios from "axios";
import CategoryItem from "../../components/category/CategoryItem.vue";

export default {
  components: {
    CategoryItem,
  },
  data() {
    return {
      categories: [],
      loading: true,
    };
  },
  computed: {
    filteredCategories() {
      const categories = this.$store.getters["categories/categories"];
      console.log(categories);
      return categories.filter((category) => {
        return true;
        if (
          this.activeFilters.inventore &&
          service.category.includes("inventore")
        ) {
          console.log("inventore");
          return true;
        }
        if (
          this.activeFilters.inventore &&
          service.category.includes("inventore")
        ) {
          console.log("inventore");
          return true;
        }
        if (
          this.activeFilters.voluptas &&
          service.category.includes("voluptas")
        ) {
          console.log("voluptas");
          return true;
        }
        return false;
      });
    },
    hasServices() {
      return !this.isLoading && this.$store.getters["categories/hasCategories"];
    },
  },
  created() {
    this.loadCategories();
  },
  methods: {
    async loadCategories(refresh = false) {
      this.isLoading = true;
      try {
        await this.$store.dispatch("categories/loadCategories", {
          forceRefresh: refresh,
        });
      } catch (error) {
        this.error = error.message || "Something went wrong!";
      }
      this.isLoading = false;
    },
    
  },
  handleError() {
    this.error = null;
  },
};
</script>